using System;
using System.ComponentModel;

internal sealed class Delegate510 : MulticastDelegate
{
	public extern void Invoke(object object_0, CancelEventHandler cancelEventHandler_0);

	public static void smethod_0(object object_0, CancelEventHandler cancelEventHandler_0, Delegate510 delegate510_1)
	{
		delegate510_1(object_0, cancelEventHandler_0);
	}

	public extern Delegate510(object object_0, IntPtr intptr_0);

	static Delegate510()
	{
		Class10.smethod_13(typeof(Delegate510).TypeHandle);
	}

	internal static Delegate510 delegate510_0;
}
